/*
    Pont Mattermost Portail des assos
    Copyright (C) 2021  Romain de Laage

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package main

import (
	"bufio"
	"log"
	"os"
)

func openDb(dbPath string) []string {
	dbFile, err := os.OpenFile(dbPath, os.O_CREATE|os.O_RDONLY, 0644)
	if err != nil {
		log.Fatalln(err)
	}

	scanner := bufio.NewScanner(dbFile)
	scanner.Split(bufio.ScanLines)
	var entries []string

	for scanner.Scan() {
		entries = append(entries, scanner.Text())
	}

	dbFile.Close()

	return entries
}

func addInDb(articleId, dbPath string) {
	dbFile, err := os.OpenFile(dbPath, os.O_CREATE|os.O_WRONLY|os.O_APPEND, 0644)
	if err != nil {
		log.Fatalln(err)
	}

	_, err = dbFile.WriteString(articleId + "\n")
	if err != nil {
		log.Fatalln(err)
	}

	dbFile.Close()
}

func isInDb(articleId string, entries []string) bool {
	for _, entry := range entries {
		if articleId == entry {
			return true
		}
	}

	return false
}
